@import url('https://fonts.googleapis.com/css?family=Kalam|Montserrat&display=swap');

body{
    font-family: 'Montserrat', sans-serif;
    /*background-color: #effdf9;*/
    background: #abbaab;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #ffffff, #abbaab);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #ffffff, #abbaab); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */


}

h1,h2,h3,nav{
    font-family: 'Kalam', cursive;
    font-style: italic;
    font-weight: bold;
}
h1{
    font-size: 2.2em;
    color: white;
}

h2{
    font-size: 1.8em;
    text-align: center;
}

h3{
    font-size: 1.6em;
}


.rotating-box{
    width: 400px;
    height: 400px;
    margin: 10px auto;
    perspective: 800px;

}

.single-rb{
    width: 400px;
    transform-style: preserve-3d;
    margin-top: 180px;

}

.animationRotation-right{
    animation: rotate-right 3s linear;
    animation-fill-mode:forwards;

}

.animationRotation-right2{
    animation: rotate-right2 3s linear;
    animation-fill-mode:forwards;
}

.animationRotation-right3{
    animation: rotate-right3 3s linear;
    animation-fill-mode:forwards;
}

.animationRotation-right4{
    animation: rotate-right4 3s linear;
    animation-fill-mode:forwards;
}

/*Rotation Left*/

.animationRotation-left{
    animation: rotate-left 3s linear;
    animation-fill-mode:forwards;

}

.animationRotation-left2{
    animation: rotate-left2 3s linear;
    animation-fill-mode:forwards;
}

.animationRotation-left3{
    animation: rotate-left3 3s linear;
    animation-fill-mode:forwards;
}

.animationRotation-left4{
    animation: rotate-left4 3s linear;
    animation-fill-mode:forwards;
}


.single-rb img{
    height: 400px;
    width: 400px;
    -webkit-box-shadow: 0px 18px 17px -10px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 18px 17px -10px rgba(0,0,0,0.75);
    box-shadow: 0px 18px 17px -10px rgba(0,0,0,0.75);
}

.single-rb div{
    position: absolute;
    width: 400px;
    height: 400px;
    background-color: white;
}

.front-side{
    transform: translateZ(200px);
}

.back-side{
    transform: rotateY(180deg) translateZ(200px);

}

.left-side{
    transform: rotateY(-90deg) translateX(-200px);
    transform-origin: left;
}

.right-side{
    transform: rotateY(90deg) translateX(200px) ;
    transform-origin: right;
}

/*.top-side{*/
/*      transform: rotateX(-90deg) translateY(-200px) ;*/
/*      transform-origin: top;*/
/*  }*/

/*.bottom-side{*/
/*    transform: rotateX(90deg) translateY(200px) ;*/
/*    transform-origin: bottom;*/
/*}*/

/*keyframe-right*/

@keyframes rotate-right {

    0%{transform: rotateY(0);}
    100%{transform: rotateY(-90deg);}

}
@keyframes rotate-right2 {

    0%{transform: rotateY(-90deg);}
    100%{transform: rotateY(-180deg);}

}

@keyframes rotate-right3 {

    0%{transform: rotateY(-180deg);}
    100%{transform: rotateY(-270deg);}

}

@keyframes rotate-right4 {

    0%{transform: rotateY(-270deg);}
    100%{transform: rotateY(-360deg);}

}


/*keyframe-left*/


@keyframes rotate-left {

    0%{transform: rotateY(0);}
    100%{transform: rotateY(90deg);}

}
@keyframes rotate-left2 {

    0%{transform: rotateY(90deg);}
    100%{transform: rotateY(180deg);}

}

@keyframes rotate-left3 {

    0%{transform: rotateY(180deg);}
    100%{transform: rotateY(270deg);}

}

@keyframes rotate-left4 {

    0%{transform: rotateY(270deg);}
    100%{transform: rotateY(360deg);}

}







.myButton2 {
    -moz-box-shadow: 0px 10px 14px -7px #276873;
    -webkit-box-shadow: 0px 10px 14px -7px #276873;
    box-shadow: 0px 10px 14px -7px #276873;
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #599bb3), color-stop(1, #408c99));
    background:-moz-linear-gradient(top, #599bb3 5%, #408c99 100%);
    background:-webkit-linear-gradient(top, #599bb3 5%, #408c99 100%);
    background:-o-linear-gradient(top, #599bb3 5%, #408c99 100%);
    background:-ms-linear-gradient(top, #599bb3 5%, #408c99 100%);
    background:linear-gradient(to bottom, #599bb3 5%, #408c99 100%);
    filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#599bb3', endColorstr='#408c99',GradientType=0);
    background-color:#599bb3;
    -moz-border-radius:8px;
    -webkit-border-radius:8px;
    border-radius:8px;
    display:inline-block;
    cursor:pointer;
    color:#ffffff;
    font-family:Arial;
    font-size:20px;
    font-weight:bold;
    padding:13px 32px;
    text-decoration:none;
    text-shadow:0px 1px 0px #3d768a;
    margin-left: 45%;
    margin-top: 6%;
    margin-bottom: 0.3%;
}
.myButton2:hover {
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #408c99), color-stop(1, #599bb3));
    background:-moz-linear-gradient(top, #408c99 5%, #599bb3 100%);
    background:-webkit-linear-gradient(top, #408c99 5%, #599bb3 100%);
    background:-o-linear-gradient(top, #408c99 5%, #599bb3 100%);
    background:-ms-linear-gradient(top, #408c99 5%, #599bb3 100%);
    background:linear-gradient(to bottom, #408c99 5%, #599bb3 100%);
    filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#408c99', endColorstr='#599bb3',GradientType=0);
    background-color:#408c99;
}
.myButton2:active {
    position:relative;
    top:1px;
}

.next-left{
    position: absolute;
    top: 43%;
    left: 29%;
    font-size: 4em;
}

.next-right{
    position: absolute;
    top: 43%;
    right: 29%;
    font-size: 4em;

}



footer p {

    text-align: center;
}



footer p a {
    text-decoration: underline;
    color: black;
}


/*mentions légales*/
div#mentionsLegales{
    background-image:url("/images/main_fond2.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
div#fond_mentions_legales{
    text-align: center;
    background-color: rgba(255,255,255,0.5);
    width: 80%;
    height: auto;
    margin: auto;
    padding: 2%;
}

div#mentionsLegales p{
    margin-top: 0;
    line-height: 1.5em;

}

div#mentionsLegales a{
    color: black;
    text-decoration: underline;
}



/***** Start modal1 *****/
.next-left-modal{
    color: white;
}


/* Style the Image Used to Trigger the Modal */
#myImg {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

#myImg2 {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

#myImg3 {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

#myImg4 {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

#myImg:hover {opacity: 0.7;}
#myImg2:hover {opacity: 0.7;}
#myImg3:hover {opacity: 0.7;}
#myImg4:hover {opacity: 0.7;}

/* The Modal (background) */
.modal,.modal2,.modal3 {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 1%; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    /*background-color: rgb(0,0,0); !* Fallback color *!*/
    /*background-color: rgba(0,0,0,1); !* Black w/ opacity *!*/
    background: #005AA7;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to left, #FFFDE4, #005AA7);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to left, #FFFDE4, #005AA7); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}

/* Modal Content (Image) */
.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption,#caption2,#caption3 {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: black;
    padding: 10px 0;
    height: 150px;
}

/* Add Animation - Zoom in the Modal */
.modal-content, #caption {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {transform:scale(0)}
    to {transform:scale(1)}
}


.close,.close2,.close3 {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #000000;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,.close2:hover,.close2:focus,.close3:hover,.close3:focus,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}


@media only screen and (max-width: 700px){
    .modal-content {
        width: 70%;
    }
}




* {
    box-sizing: border-box;
}

/* Position the image container (needed to position the left and right arrows) */
.container {
    position: relative;
}

/* Hide the images by default */
.mySlides,.mySlides2,.mySlides3 {
    display: none;
    width: 90%;
    margin: auto;
}

.mySlides img,.mySlides2 img,.mySlides3 img{
    width: 40%;
    height: auto;
    margin-left: 32%;
    -webkit-box-shadow: -1px 2px 24px 1px rgba(0,0,0,0.75);
    -moz-box-shadow: -1px 2px 24px 1px rgba(0,0,0,0.75);
    box-shadow: -1px 2px 24px 1px rgba(0,0,0,0.75);
    margin-bottom: 2%;
    border: 1px solid white;
    border-radius: 5px;
}

/* Add a pointer when hovering over the thumbnail images */
.cursor,.cursor2,.cursor3 {
    cursor: pointer;
}

/* Next & previous buttons */
.prev-modal,.prev-modal2,.next-modal2,.prev-modal3,.next-modal3,
.next-modal {
    cursor: pointer;
    position: absolute;
    top: 40%;
    width: auto;
    padding: 16px;
    margin-top: -50px;
    color: black;
    font-weight: bold;
    font-size: 2em;
    border-radius: 0 3px 3px 0;
    user-select: none;
    -webkit-user-select: none;
}

/* Position the "next button" to the right */
.next-modal,.next-modal2,.next-modal3 {
    right: 0;
    border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev-modal:hover,.prev-modal2:hover,.next-modal2:hover,.prev-modal3:hover,.next-modal3:hover,
.next-modal:hover {
    background-color: rgba(0, 0, 0, 0.3);
}

/* Number text (1/3 etc) */
.numbertext,.numbertext2,.numbertext3 {
    color: #f2f2f2;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
}

/* Container for image text */
.caption-container,.caption-container2,.caption-container3 {
    text-align: center;
    background-color: rgba(255,255,255,0.5);
    padding: 2px 16px;
    color: black;

}

.row,.row2,.row3{
    display: flex;
    justify-content: center;

}

.row:after,.row2:after,.row3:after {
    content: "";
    display: table;
    clear: both;
}

/* Six columns side by side */
.column,.column2,.column3 {
    float: left;
    width: 17.66%;
    margin-right: 2%;
    margin-top: 1%;
    border: 1px solid #e0e0e0;
    border-radius: 5px;

}

.column img,.column2 img,.column3 img{
    height: 100%;
    width: 100%;
}

/* Add a transparency effect for thumnbail images */
.demo,.demo2,.demo3 {
    opacity: 0.6;
}

.active,.active2,.demo2:hover,.active3,.demo3:hover,
.demo:hover {
    opacity: 1;
}
/*fin du slider1 (mdCarre) dans le modal*/

















/***** end modal1 ******/


@media screen and (max-width:1366px ) {

    .rotating-box {
        width: 300px;
        height: 300px;

    }

    .single-rb {
        width: 300px;
    }

    .single-rb div {
        width: 300px;
        height: 300px;
    }

    .front-side {
        transform: translateZ(150px);
    }

    .single-rb img {
        height: 300px;
        width: 300px;
    }

    .back-side {
        transform: rotateY(180deg) translateZ(150px);
    }

    .left-side {
        transform: rotateY(-90deg) translateX(-150px);
    }

    .right-side {
        transform: rotateY(90deg) translateX(150px);
    }

}

@media screen and (max-width: 1280px){
    .myButton2{
        margin-left: 40%;
    }
}

@media screen and (max-width:1024px ) {
    .next-left {
        left: 27%;
    }

    .next-right {
        right: 27%;
    }

    .myButton2{
        margin-left: 36%;
    }

}

@media screen and (max-width: 870px) and (max-height: 415px){
    .single-rb {
        margin-top: 68px;
    }

    .myButton2 {
        margin-left: 35%;
        margin-top: 17%;
    }

    .next-left {
        top: 122%;
        transform: translateZ(0);
    }

    .next-right {
        top: 122%;
        transform: translateZ(0);
    }


}


@media screen and (max-width: 760px) and (max-height: 380px){
    .single-rb {
        margin-top: 68px;
    }

    .myButton2 {
        margin-left: 32%;
        margin-top: 17%;
    }

    .next-left {
        top: 142%;
        transform: translateZ(0);
    }

    .next-right {
        top: 142%;
        transform: translateZ(0);
    }


}

@media screen and (max-width:415px){
    .single-rb {
        margin-top: 80px;
    }

    .next-left {
        top: 60%;
        left: 27%;
        transform: translateZ(0);
    }

    .next-right {
        top: 60%;
        right: 27%;
        transform: translateZ(0);
    }

    .myButton2 {
        margin-left: 18%;
        margin-top: 30%;

    }


}

@media screen and (max-width: 380px){

    .myButton2 {
        margin-left: 16%;
    }

    .next-left {
        top: 76%;
        transform: translateZ(0);
    }

    .next-right {
        top: 76%;
        transform: translateZ(0);
    }
}

/*@media screen and (max-width: 360px){*/
/*    .next-left {*/
/*       top: 76%;*/
/*   }*/

/*   .next-right {*/
/*       top: 76%;*/
/*   }*/


/*}*/
